# MedPlaus 6 DLL : Changements

## Version V6.0.5.0 r3 / 20.04.2021

[-] Correction AccessViolationException dans la méthode MP_Destroy() sous .Net 5.

## Version V6.0.5.0 r2 / 26.01.2021

[-] Corrections apportées au master CIM-10 GM (validité) pour les codes suivants :

* S2220, S2221

[-] Corrections apportées au master CHOP (flag terminal) pour les codes suivants :

* 2042
* 8020, 8021, 8022, 8023, 8024, 8025, 8026, 8027, 8028

## Version V6.0.5.0 / 04.01.2021

[+] Intégration de la CIM-10 GM 2021
[+] Intégration de la CHOP 2021
[+] Intégration des données master REE actuelles, provenant de l’OFS
[+] Intégration des données master Site actuelles, provenant de l’OFS
[+] Intégration du master Medstat Régions v6.95, provenant de l’OFS
[\*] Test B0140 (E) 'Nationalité: La donnée manque' - Réservé aux cas hospitaliers
[\*] Test B0300 (W) 'Duréé de la grossesse_12M: La donnée manque' - Assouplissement du test (avertissement au lieu d’erreur)
[\*] Test B0304 (E) 'Duréé de la grossesse_12M: Valeur cryptée' - Test plus strict (erreur au lieu d’avertissement)
[\*] Test B1120 (E) 'Classe: La donnée manque' - Réservé aux cas hospitaliers
[\*] Test B1150 (W) 'Vacances, congés administratifs: La donnée manque' - Réservé aux cas hospitaliers
[\*] Test B2000 (W) 'Séjour en soins intensifs: La donnée manque' - Réservé aux cas hospitaliers
[\*] Test B2011 (E) 'Ce cas comprend des heures en soins intensifs, mais le champ NEMS est vide' - Réservé aux cas hospitaliers
[\*] Test 2120 (H) 'La durée de la ventilation artificielle ne peut être plus longue que le nombre d'heures SI' - Accroissement de la tolérance du test (18 heures au lieu des 15 heures précédemment) sur demande des hôpitaux universitaires
[\*] Test 2130 (E) 'La durée de la ventilation artificielle ne peut être plus longue que le séjour à l'hôpital' - Accroissement de la tolérance du test (18 heures au lieu des 15 heures précédemment) sur demande des hôpitaux universitaires
[\*] Test B4360 'Informations MP contradictoires: 3.5.V03 Prise en charge après la sortie et 3.5.V02 Séjour après la sortie' - Suppression du test expérimental qui n’est pas compatible avec la pratique
[\*] Test C4000 [W] 'Le questionnaire psychiatrique n’est pas transmis pour les cas du type B' - Réservé aux cas hospitaliers

### Légende

| Sign | Signification               |
| ---- | --------------------------- |
| [+]  | Nouvelle fonction           |
| [*]  | Fonction améliorée/modifiée |
| [-]  | Correction                  |
